Members
Get top products sold by rep
Returns the products the rep has sold the most units of, counting items on the rep’s paid (or refund-pending), non-cancelled orders. Use limit (1-10, default 5) and period (7d, 30d, 90d, 1y, or all, the default). The rep may be addressed by integer rep id or member UUID. Requires a company admin-tier Bearer token with members view permission.
GET
/
api
/
v2025-06
/
reps
/
{rep_id}
/
top_products_sold
Get top products sold by rep
curl --request GET \
--url https://api.fluid.app/api/v2025-06/reps/{rep_id}/top_products_sold \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v2025-06/reps/{rep_id}/top_products_sold"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v2025-06/reps/{rep_id}/top_products_sold', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"products": [
{
"product_id": 3187,
"product_name": "Dunder Mifflin 20lb Copy Paper",
"product_image_url": "https://cdn.fluid.app/dunder-mifflin/products/20lb-copy-paper.jpg",
"total_quantity": 64
},
{
"product_id": 3192,
"product_name": "Scranton Branch Mug",
"product_image_url": "https://cdn.fluid.app/dunder-mifflin/products/scranton-branch-mug.jpg",
"total_quantity": 23
}
],
"meta": {
"request_id": "3e7c1a9f-4b2d-4068-9f15-d6a8e0c3b271",
"timestamp": "2026-09-15T14:43:40Z"
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Maximum number of products to return. Defaults to 5.
Required range:
1 <= x <= 10Time window, by order creation date.
Available options:
7d, 30d, 90d, 1y, all ⌘I
Get top products sold by rep
